package info.bukova.isspst.ui.users;

import info.bukova.isspst.data.Permission;
import info.bukova.isspst.data.Role;

import java.util.ArrayList;
import java.util.List;

public class RolePermissions {
	
	private List<PermissionCheck> permissionChecks;
	
	public RolePermissions(Role role, List<Permission> permissions) {
		permissionChecks = new ArrayList<PermissionCheck>();
		for (Permission p : permissions) {
			permissionChecks.add(new PermissionCheck(role, p));
		}
	}
	
	public List<PermissionCheck> getPermissionChecks() {
		return permissionChecks;
	}

}
